Results 1 to 5 of 5

Thread: Upgrade path from version 3.5.x to latest stable 4.x

  1. #1
    New user
    Join Date
    06-09-11.
    Posts
    15

    Default Upgrade path from version 3.5.x to latest stable 4.x

    Hello,

    I'm trying to find a way to upgrade my current Contao instance (version 3.5.28) to current latest stable version 4.4.7.

    As I can't find anything in the documentation, I'm asking help here

    Regards

    Davide

  2. #2
    User Andreas's Avatar
    Join Date
    07-11-09.
    Location
    Mönchengladbach
    Posts
    485

    Default

    Try the videos on youtube by contao academy https://www.youtube.com/channel/UCw6...9cBPn1WbHF9niQ

    And here https://www.youtube.com/watch?v=rwC8xfdO3Ao somewhere in the middle Leo Feyer shows how easy it is to go from 3.5 to 4.

    1. Go to System, Maintenance, and do a great purge job.
    2. Then make a copy of your DB.
    3. Do a clean installation of Contao 4 in a new folder with a new [sub]domain.
    4. When you come to the install tool where you have to enter the credentials of your DB. Type in the values of the copy of your DB.
    5. Contao locates the DB as DB from 3.5 and asks you if you want to migrate to Contao 4.
    Web-Development, Freelancer, Burgtech, XHTML, HTML5, CSS, PHP, Javascript, MooTools, MySQL and more
    Amazon wishlist

  3. #3
    New user
    Join Date
    06-09-11.
    Posts
    15

    Quote Originally Posted by Andreas View Post
    Try the videos on youtube by contao academy https://www.youtube.com/channel/UCw6...9cBPn1WbHF9niQ

    And here https://www.youtube.com/watch?v=rwC8xfdO3Ao somewhere in the middle Leo Feyer shows how easy it is to go from 3.5 to 4.

    1. Go to System, Maintenance, and do a great purge job.
    2. Then make a copy of your DB.
    3. Do a clean installation of Contao 4 in a new folder with a new [sub]domain.
    4. When you come to the install tool where you have to enter the credentials of your DB. Type in the values of the copy of your DB.
    5. Contao locates the DB as DB from 3.5 and asks you if you want to migrate to Contao 4.
    Thanks a million for the infos.
    I'll have a try soon and let you know if I have a problem.

    Regards

  4. #4
    New user
    Join Date
    06-09-11.
    Posts
    15

    Default

    Hi,

    I've been able to upgrade a copy of my Contao 3.5.28 instance up to 4.4.7.
    I needed to copy my templates and pictures.

    The upgrade is now completed but I'm struggling with installing extensions I had in the old version with 4.4.7.

    I don't even see the extensions catalog / extensions manager in the left menu.
    I guess something changed in the way we install extensions in Contao 4.x.

    Question: How can I install extensions in Contao 4.4.7 ?

    Thanks for your help

  5. #5
    User Andreas's Avatar
    Join Date
    07-11-09.
    Location
    Mönchengladbach
    Posts
    485

    Default

    Yes, there's no extension management in BE anymore. If you've installed with the contao-manager, you can install extensions with example.org/contao-manager.phar.php as you can see in one of the videos. You also can install extensions on the SSH console directly as shown in some videos.

    Management of Contao core and extensions is taken by the composer software. Even if you use contao-manager.phar.php, in background runs composer on shell. Take a look into your composer.json in install directory (above web/). There you find the instructions for composer what has to be installed and to keep up to date.
    Code:
    ...
    "require": {
        "php": "^5.6|^7.0",
        "contao/manager-bundle": "4.4.*",
        "contao/calendar-bundle": "^4.4",
        "contao/comments-bundle": "^4.4",
        "contao/faq-bundle": "^4.4",
        "contao/listing-bundle": "^4.4",
        "contao/news-bundle": "^4.4",
        "contao/newsletter-bundle": "^4.4",
        "delahaye/dlh_googlemaps": "^2.3",
        "madeyourday/contao-rocksolid-frontend-helper": "^2.0",
        "terminal42/contao-easy_themes": "^2.2"
    },
    ...
    If one of those bundles needs another bundle, the dependencies get resolved by composer automaticaly in background and composer also installs this dependencies. Although you can not see this dependencies below "require".

    You only can install extension this way, when they are compatible to Contao 4. You have to install C 3.5 extensions manually.
    Web-Development, Freelancer, Burgtech, XHTML, HTML5, CSS, PHP, Javascript, MooTools, MySQL and more
    Amazon wishlist

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •